%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		gnome-directory-thumbnailer
Version:	0.1.11
Release:	%mkrel 5
Summary:	Thumbnailer for directories

Group:		Graphical desktop/GNOME
License:	LGPLv2+
URL:		https://wiki.gnome.org/GnomeDirectoryThumbnailer
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
# https://gitlab.gnome.org/GNOME/gnome-directory-thumbnailer/-/issues/8
Patch1:		temp-ftbfs.patch
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
Buildrequires:	pkgconfig(gtk+-3.0)
Buildrequires:	pkgconfig(gnome-desktop-3.0)

BuildRequires:	intltool

%description
Thumbnailer for directories based on some heuristics.


%prep
%setup -q
%autopatch -p1

%build
%configure --disable-silent-rules
%make_build


%install
%make_install
%find_lang %{name}


%files -f %{name}.lang
%{_bindir}/gnome-directory-thumbnailer
%dir %{_datadir}/thumbnailers
%{_datadir}/thumbnailers/gnome-directory-thumbnailer.thumbnailer
%doc AUTHORS NEWS README
%license COPYING




%changelog
* Sun Oct 23 2022 ghibo <ghibo> 0.1.11-5.mga9
+ Revision: 1898723
- Rebuild against latest gnome-desktop to fix broken deps.
- Include Patch0 from FC to fix compilation problems.

* Wed Mar 30 2022 umeabot <umeabot> 0.1.11-4.mga9
+ Revision: 1835274
- Mageia 9 Mass Rebuild

* Mon Feb 24 2020 tv <tv> 0.1.11-3.mga8
+ Revision: 1549849
- rebuild for new libgnome-desktop

* Sun Feb 16 2020 umeabot <umeabot> 0.1.11-2.mga8
+ Revision: 1530531
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Mon Sep 02 2019 ovitters <ovitters> 0.1.11-1.mga8
+ Revision: 1436308
- new version 0.1.11

* Sun Sep 23 2018 umeabot <umeabot> 0.1.10-4.mga7
+ Revision: 1297955
- Mageia 7 Mass Rebuild

* Mon Feb 19 2018 guillomovitch <guillomovitch> 0.1.10-3.mga7
+ Revision: 1203278
- rebuild for latest gnome-desktop

* Thu Jan 25 2018 ovitters <ovitters> 0.1.10-1.mga7
+ Revision: 1196838
- new version 0.1.10

* Sun Apr 30 2017 ovitters <ovitters> 0.1.9-1.mga6
+ Revision: 1098134
- new version 0.1.9

* Sun Sep 25 2016 ovitters <ovitters> 0.1.8-1.mga6
+ Revision: 1056129
- add group
- clean spec
- imported package gnome-directory-thumbnailer


* Wed Sep 21 2016 Yanko Kaneti <yaneti@declera.com> - 0.1.8-1
- Update to 0.1.8.

* Tue Feb  9 2016 Yanko Kaneti <yaneti@declera.com> - 0.1.7-1
- Update to 0.1.7. Use license macro

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jul 24 2015 Yanko Kaneti <yaneti@declera.com> - 0.1.6-3
- Bump for gnome-desktop3 soname change

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jun  9 2015 Yanko Kaneti <yaneti@declera.com> - 0.1.6-1
- Update to 0.1.6

* Tue Apr 14 2015 Yanko Kaneti <yaneti@declera.com> - 0.1.5-1
- Update to 0.1.5

* Thu Jan 29 2015 Yanko Kaneti <yaneti@declera.com> - 0.1.4-1
- Update to 0.1.4

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 28 2014 Yanko Kaneti <yaneti@declera.com> - 0.1.2-1
- Update to 0.1.3

* Mon Feb 24 2014 Yanko Kaneti <yaneti@declera.com> - 0.1.2-2
- Update to 0.1.2

* Thu Feb 20 2014 Yanko Kaneti <yaneti@declera.com> - 0.1.1-2
- Rebuilt for gnome-desktop soname bump

* Fri Nov  8 2013 Yanko Kaneti <yaneti@declera.com> - 0.1.1-1
- Update to 0.1.1. Drop patches. Add translations

* Wed Oct 16 2013 Yanko Kaneti <yaneti@declera.com> - 0.1.0-3
- Initial packaging
- Change url
- Add upstream patches for standard directory icon overlay
- Add --disable-silent-rules
